Bug 188681 - Busybox should be installed by default, and needs a hardlink as msh
Busybox should be installed by default, and needs a hardlink as msh
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 22:59 EDT by Pat Gunn
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 16:57:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Gunn 2006-04-11 22:59:55 EDT
Description of problem:
Busybox should be installed by default, and should have a hardlink to its binary
available *as* the shell form, to allow for system recovery if critical system
libraries are broken (e.g. libc). 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Jeremy Katz 2006-09-25 16:57:00 EDT
We provide a rescue mode for system rescue -- unfortunately, a statically linked
shell generally isn't enough given the current complexity of the system

Note You need to log in before you can comment on or make changes to this bug.